---
title: Rename a namespace
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[KV](https://developers.cloudflare.com/api/python/resources/kv)

[Namespaces](https://developers.cloudflare.com/api/python/resources/kv/subresources/namespaces)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Rename a namespace

kv.namespaces.update(strnamespace\_id, NamespaceUpdateParams\*\*kwargs) -> [Namespace](<https://developers.cloudflare.com/api/python/resources/kv#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)>)

PUT/accounts/{account\_id}/storage/kv/namespaces/{namespace\_id}

Changes the title of the specified Workers KV namespace and returns the updated namespace. The namespace ID and stored key-value pairs are unchanged.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers KV Storage Write`

##### ParametersExpand Collapse

account\_id: str

ID of the Cloudflare account that owns the Workers KV namespaces.

maxLength32

[Link to this property](<#(resource)%20kv.namespaces%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

namespace\_id: str

ID of the Workers KV namespace.

maxLength32

[Link to this property](<#(resource)%20kv.namespaces%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20namespace_id%20%3E%20(schema)>)

title: str

Human-readable string name for a Workers KV namespace.

maxLength512

[Link to this property](<#(resource)%20kv.namespaces%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20title%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Namespace: …

</summary>

id: str

ID of the Workers KV namespace.

maxLength32

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

title: str

Human-readable string name for a Workers KV namespace.

maxLength512

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20title">Link to this property</a>

<details>

<summary>

jurisdiction: Optional\[Literal\["eu", "fedramp", "us"]]

Specify the jurisdiction to restrict the KV namespace to durably store data within. Can only be set at namespace creation time.

</summary>

One of the following:

"eu"

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20jurisdiction%20%3E%20(member)%200">Link to this property</a>

"fedramp"

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20jurisdiction%20%3E%20(member)%201">Link to this property</a>

"us"

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20jurisdiction%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20jurisdiction">Link to this property</a>

mode: Optional\[Literal\["instant"]]

The mode of the Workers KV namespace. Specify <code>instant</code> when creating a namespace to create a KV Instant namespace. Omit this field when creating a namespace to create a classic namespace. Currently, <code>instant</code> is the only supported explicit value.

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20mode">Link to this property</a>

supports\_url\_encoding: Optional\[bool]

True if keys written on the URL will be URL-decoded before storing. For example, if set to “true”, a key written on the URL as “%3F” will be stored as ”?”.

<a href="#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)%20%3E%20(property)%20supports_url_encoding">Link to this property</a>

</details>

[Link to this property](<#(resource)%20kv.namespaces%20%3E%20(model)%20namespace%20%3E%20(schema)>)

### Rename a namespace

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
namespace = client.kv.namespaces.update(
    namespace_id="0f2ac74b498b48028cb68387c421e279",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    title="My Own Namespace",
)
print(namespace.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "0f2ac74b498b48028cb68387c421e279",
    "title": "My Own Namespace",
    "jurisdiction": "eu",
    "mode": "instant",
    "supports_url_encoding": true
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "0f2ac74b498b48028cb68387c421e279",
    "title": "My Own Namespace",
    "jurisdiction": "eu",
    "mode": "instant",
    "supports_url_encoding": true
  },
  "success": true
}
```